[netcf-devel] [PATCH 2/5] Modified project build for Windows

Laine Stump laine at laine.org
Thu Sep 23 12:26:05 UTC 2010


  On 09/17/2010 12:28 PM, Adam Stokes wrote:
> ---
>   autogen.sh      |    1 -
>   bootstrap       |   53 ++++++++++++++++++++++++++++++++---------------------
>   configure.ac    |   19 +++++++++++++++++--
>   src/Makefile.am |   15 ++++++++++-----
>   4 files changed, 59 insertions(+), 29 deletions(-)
>
> diff --git a/autogen.sh b/autogen.sh
> index 425c7b1..b0197c3 100755
> --- a/autogen.sh
> +++ b/autogen.sh
> @@ -84,7 +84,6 @@ fi
>
>   mkdir -p $BUILD_AUX
>
> -touch ChangeLog
>   $LIBTOOLIZE --copy --force
>   ./bootstrap ${GNULIB_SRCDIR:+--gnulib-srcdir="$GNULIB_SRCDIR"}
>   aclocal -I gnulib/m4
> diff --git a/bootstrap b/bootstrap
> index f64713d..84d81cb 100755
> --- a/bootstrap
> +++ b/bootstrap
> @@ -33,40 +33,52 @@ do
>     esac
>   done
>
> -# Get gnulib files.
> +cleanup_gnulib() {
> +  st=$?
> +  rm -fr .gnulib
> +  exit $st
> +}
>
>   case ${GNULIB_SRCDIR--} in
>   -)
> -  echo "$0: getting gnulib files..."
> -  git submodule init || exit $?
> -  git submodule update || exit $?
> -  GNULIB_SRCDIR=.gnulib
> -  ;;
> -*)
> -  # Redirect the gnulib submodule to the directory on the command line
> -  # if possible.
> -  if test -d "$GNULIB_SRCDIR"/.git&&  \
> -	git config --file .gitmodules submodule.gnulib.url>/dev/null; then
> -    git submodule init
> -    GNULIB_SRCDIR=`cd $GNULIB_SRCDIR&&  pwd`
> -    git config --replace-all submodule.gnulib.url $GNULIB_SRCDIR
> +  if [ ! -d .gnulib ]; then
>       echo "$0: getting gnulib files..."
> -    git submodule update || exit $?
> -    GNULIB_SRCDIR=.gnulib
> -  else
> -    echo>&2 "$0: invalid gnulib srcdir: $GNULIB_SRCDIR"
> -    exit 1
> +
> +    trap cleanup_gnulib 1 2 13 15
> +
> +    git clone --depth 1 git://git.sv.gnu.org/gnulib .gnulib ||
> +      cleanup_gnulib
> +
> +    trap - 1 2 13 15
>     fi
> -  ;;
> +  GNULIB_SRCDIR=.gnulib
>   esac

All the changes to bootstrap above are just undoing the changes I just 
recently made to turn gnulib into a module:

    
https://fedorahosted.org/pipermail/netcf-devel/2010-September/000455.htmlcommit 


The only piece that I think you really want in there is adding to the 
list of imported gnulib functions:

>
>   gnulib_tool=$GNULIB_SRCDIR/gnulib-tool
>   <$gnulib_tool || exit
>
>   modules='
> +arpa_inet
>   c-ctype
> +close
> +fcntl
> +getdtablesize
> +getopt-posix
> +inet_ntop
> +inet_pton
> +netinet_in
> +pthread
>   read-file
>   safe-alloc
> +sigaction
> +signal
> +socket
> +string
> +sys_ioctl
> +sys_socket
> +sys_wait
> +unistd
> +vasprintf
>   warnings
>   '
>
> @@ -76,7 +88,6 @@ warnings
>   #   put *.[ch] files in new gnulib/lib/ dir.
>
>   $gnulib_tool			\
> -  --lgpl=2			\

What Eric said :-P - either the unacceptable functions need to have 
their licenses relaxed, or we can't use them.




More information about the netcf-devel mailing list